# BasicDataStructures::BinarySearchTree< BinarySearchTreeType >::node Struct Reference

`#include <BinarySearchTree.h>`

List of all members.

## Public Attributes

BinarySearchTreeType * | item
node * | left
node * | right

## Detailed Description

### template<class BinarySearchTreeType>
struct BasicDataStructures::BinarySearchTree< BinarySearchTreeType >::node

Describe a Binary Search Tree Node

## Member Data Documentation

template<class BinarySearchTreeType>
BinarySearchTreeType* BasicDataStructures::BinarySearchTree< BinarySearchTreeType >::node::item

| The element stored in this node

template<class BinarySearchTreeType>
node* BasicDataStructures::BinarySearchTree< BinarySearchTreeType >::node::left

| The left child node

template<class BinarySearchTreeType>
node* BasicDataStructures::BinarySearchTree< BinarySearchTreeType >::node::right

| The right child node

The documentation for this struct was generated from the following file:

- Projects/raknet/include/raknet/BinarySearchTree.h